Subject: Re: [Nea] IESG query re Expert Review

From: Todd Glassey <[email-masked]>
Date: Thu, 17 Sep 2009 11:49:49 -0700

Stephen Hanna wrote:
> Alexey Melnikov (APP AD) has provided many useful comments
> on PA-TNC and PB-TNC. One issue that he has raised is
> whether Expert Review should be required for IANA registration
> of vendor-specific values in the NEA registries and, if so,
> what the expert guidelines should be. Alexey has asked the
> NEA WG to reconsider and discuss this matter. Therefore,
> I'm raising this topic on the NEA list and cc'ing Alexey.
>
> The text in draft-ietf-nea-pb-tnc-05.txt on this matter
> is in section 7.1:
>   
Sorry not possible... the type of thing that Alexey is asking for is 
legally impossible for the IETF to do with the Use License in the 
current state its in and since all of NEA to date has been published 
under that its a bit late to be thinking about doing anything to 
interfere with how people use IETF protocols.

A simpler way to do this would be to change the IETF copyright so that 
it forces the implementor to implement the standard per the Use 
Statement which is really what Alexey is talking about but since most 
all IETF protocols dont have best-practice use models with their 
specifications this also would be a pain.

The problem for NEA and all other WG's today is that NO ONE is forced to 
implement the entire part of a IETF standard to declare they are IETF 
compliant because of the ANY AND ALL USES clause in the license. They 
dont even have to claim their product passed interoperability testing to 
claim their IETF compliant because of that specific language.

Todd Glassey
>   
>>    For all of the IANA registries defined by this specification,  
>>    new values are added to the registry by Expert Review with  
>>    Specification Required, using the Designated Expert process  
>>    defined in RFC 5226 [3].  
>>
>>    This section provides guidance to designated experts so that  
>>    they may make decisions using a philosophy appropriate for these  
>>    registries.
>>
>> [snip]
>>
>>    All values in these IANA registries MUST be  
>>    documented in a specification that is clear, permanently and  
>>    publicly available, and likely to ensure interoperability. IETF  
>>    standard values MUST be useful and not harmful to the Internet.  
>>
>>    Designated experts should encourage vendors to avoid defining  
>>    similar but incompatible values and instead agree on a single  
>>    IETF standard value.  However, it is beneficial to document  
>>    existing practice.  
>>     
>
> I will let Alexey make the full case for removing the requirement
> for expert review of vendor-specific values. I think that the main
> thrust of the argument is that we should encourage vendors to
> document the values that they use.
>
> Thanks,
>
> Steve
> _______________________________________________
> Nea mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nea
> ------------------------------------------------------------------------
>
>
> No virus found in this incoming message.
> Checked by AVG - www.avg.com 
> Version: 8.5.409 / Virus Database: 270.13.103/2378 - Release Date: 09/17/09 06:18:00
>
>